Page MenuHomePhabricator

blackbox: fix type error on log rotation on read-only filesystem
ClosedPublic

Authored by valentin.gatienbaron on Mar 31 2021, 6:11 PM.

Details

Summary

Grepping around, the code uses either encoding.strtolocal or
stringutil.forcebytestr in this situation. No idea which is best.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

@mharbison72 these should have been caught by pytype IIUC.

Alphare accepted this revision.Apr 1 2021, 8:52 AM
Alphare added a subscriber: Alphare.

strtolocal sounds like the right pick.

pulkit accepted this revision.Apr 11 2021, 5:24 PM
This revision is now accepted and ready to land.Apr 11 2021, 5:24 PM